SET SERVEROUTPUT ON
SET TERMOUT ON
EXEC DBMS_OUTPUT.PUT_LINE('Creant elements fsics de la base de dades');
SET TERMOUT OFF
SET SERVEROUTPUT OFF

-- Crear el tablespace per la base de dades
CREATE TABLESPACE concessionari DATAFILE '/usr/lib/oracle/xe/oradata/XE/concessionari.dbf' 
  SIZE 10M AUTOEXTEND ON ONLINE;

SET SERVEROUTPUT ON
SET TERMOUT ON
EXEC DBMS_OUTPUT.PUT_LINE('Creant esquema per la base de dades');
SET TERMOUT OFF
SET SERVEROUTPUT OFF

-- Crear l'esquema per la base de dades al tablespace corresponent i donar-li els privilegis adients.
CREATE USER concessionari IDENTIFIED BY "concessionari" DEFAULT TABLESPACE concessionari;
GRANT CREATE SESSION TO concessionari;
GRANT ALL PRIVILEGES TO concessionari;

SET SERVEROUTPUT ON
SET TERMOUT ON
EXEC DBMS_OUTPUT.PUT_LINE('Creant elements fsics per al magatzem de dades');
SET TERMOUT OFF
SET SERVEROUTPUT OFF

-- Crear el tablespace pel magatzem de dades
CREATE TABLESPACE concessionariDWH DATAFILE '/usr/lib/oracle/xe/oradata/XE/concessionariDWH.dbf'
  SIZE 10M AUTOEXTEND ON ONLINE;

SET SERVEROUTPUT ON
SET TERMOUT ON
EXEC DBMS_OUTPUT.PUT_LINE('Creant esquema per al magatzem de dades');
SET TERMOUT OFF
SET SERVEROUTPUT OFF

-- Crear l'esquema per la base de dades al tablespace corresponent i donar-li els privilegis adients.
CREATE USER concessionariDWH IDENTIFIED BY "concessionariDWH" DEFAULT TABLESPACE concessionariDWH;
GRANT CREATE SESSION TO concessionariDWH;
GRANT ALL PRIVILEGES TO concessionariDWH;