#
# Cookbook Name:: pfc
# Recipe:: default
#
# Copyright 2012, Ignasi Fosch Alonso
#
# All rights reserved - Do Not Redistribute
#

include_recipe "pluto"

execute "installMercurial" do
	command "apt-get -y install mercurial"
	not_if "test -x /usr/bin/hg"
end

execute "cloneRepo" do
	command "hg clone http://10.0.2.2:8000/ /home/vagrant/pfc"
	not_if "test -d /home/vagrant/pfc"
end

execute "installModel" do
	command ". /usr/lib/oracle/xe/.profile; cd /home/vagrant/pfc/; sqlplus sys/systempwd as sysdba @code/create.sql; touch /usr/lib/oracle/xe/.PfcOk"
	user "oracle"
	not_if "test -f /usr/lib/oracle/.PfcOk"
end

execute "installTests" do
	command ". /usr/lib/oracle/xe/.profile; cd /home/vagrant/pfc/; sqlplus concessionari/concessionari @code/tests.sql; touch /usr/lib/oracle/xe/.TestsOk"
	user "oracle"
	not_if "test -f /usr/lib/oracle/.TestsOk"
end
