#
# Cookbook Name:: pluto
# Recipe:: default
#
# Copyright 2012, Ignasi Fosch Alonso
#
# All rights reserved - Do Not Redistribute
#
include_recipe "oracle-xe"

execute "downloadPluto" do
	command "wget http://pluto-test-framework.googlecode.com/files/pluto-test-framework-00049.tgz -O /tmp/pluto.tgz"
	not_if "test -f /tmp/pluto.tgz"
end

execute "uncompressPluto" do
	command "cd /tmp; tar xzf /tmp/pluto.tgz"
	user "oracle"
	not_if "test -d /tmp/pluto-test-framework"
end

execute "installPluto" do
	command ". /usr/lib/oracle/xe/.profile; cd /tmp/pluto-test-framework/; sqlplus sys/systempwd as sysdba @install.sql; touch /usr/lib/oracle/xe/.PlutoOk"
	user "oracle"
	not_if "test -f /usr/lib/oracle/.PlutoOk"
end
