create or replace type tasca56_test_obj under sys.pluto_obj(
	member procedure startup_testing,
	member procedure test_etl,
	member procedure teardown_testing,
	constructor function tasca56_test_obj
		return self as result
)
instantiable not final;
/

show errors;

create or replace type body tasca56_test_obj is
	member procedure startup_testing is
	begin
		insert into botigues values (
                  null,
                  'Badal,81',
                  'C. Badal, 81',
                  '937767769',
                  '937767770',
                  'badal81@citroen.es'
                );
		insert into empleats values (
                  '10102989E',
                  'Josep',
      botigues_codi.CURRVAL,
      'Y'
                );
		insert into empleats values (
                  '10102990E',
                  'Josep',
      botigues_codi.CURRVAL,
      'Y'
                );
		insert into venedors values (
                  '90909090D',
                  'Citroen España',
                  'c. Vigo',
                  '986574833',
                  '986574834',
                  'fabrica@citroen.es'
                );
	end startup_testing;
	member procedure test_etl is
		n_compres  int := 0;
		n_compres2 int := 0;
	begin
		select count(*) into n_compres from concessionariDWH.fetsCompres;
		compra(
                  '10102989E',
                  '90909090D',
                  '7888738395HG9798D',
                  NULL,
                  'Citroën',
                  'C4',
                  '1.9 HDI',
                  'A/C',
                  'Blanco Blanquisse',
                  to_date('20121029','YYYYMMDD'),
                  16000
                );
		concessionariDWH.etl;
		select count(*) into n_compres2 from concessionariDWH.fetsCompres;
		m_util_object.ok(
			test_passed => ( n_compres2 = n_compres + 1 ),
			test_label  => 'Comptar una compra'
		);
		n_compres := n_compres2;
		compra(
                  '10102990E',
                  '90909090D',
                  '7888738395HG9799D',
                  NULL,
                  'Citroën',
                  'C4',
                  '1.9 HDI',
                  'A/C',
                  'Blanco Blanquisse',
                  to_date('20121029','YYYYMMDD'),
                  16000
                );
		concessionariDWH.etl;
		select count(*) into n_compres2 from concessionariDWH.fetsCompres;
		m_util_object.ok(
			test_passed => ( n_compres2 = n_compres + 1 ),
			test_label  => 'Comptar una segona compra'
		);
	end test_etl;
	member procedure teardown_testing is
	begin
		rollback;
	end teardown_testing;
	constructor function tasca56_test_obj
		return self as result is
	begin
		m_util_object := sys.pluto_util_obj();
		return;
	end tasca56_test_obj;
end;
/

show errors;

create or replace procedure runTestsTasca56 is
	ut_obj tasca56_test_obj := tasca56_test_obj();
begin
	ut_obj.run_tests;
end;
/

show errors;
