<meta http-equiv="content-type" content="application/xhtml+xml; charset=utf-8" />

Disseny i implementació d'una base de dades relacional per a un concessionari de vehicles
=========================================================================================

## Apunts generals

En les descripcions dels camps, si no és que s'especifica el contrari, els camps són obligatoris.

Tasca 87: Dissenyar els elements necessaris per la implementació de les matriculacions
--------------------------------------------------------------------------------------

La funcionalitat de matriculació només requereix que hi hagi una entitat per contenir les matrícules. Per tal d'integrar l'entitat en el model existent, l'entitat es relaciona amb els vehicles. Es mantindrà, doncs, una entitat que contindrà les matrícules i, quan un cotxe es matriculi, s'establirà la relació amb la matrícula, per tant, el camp matrícula, desapareix de la taula `vehicles`.

- **Matrícules**: Representarà cada matrícules. La relació amb la taula de Vehicles es farà pel camp _VIN_.
  2. Matrícula: Consistirà en una cadena de caràcters de longitud màxima de 7 caràcters, ja que només s'han considerat matrícules nacionals. Serà el camp clau.
  1. VIN: Consistirà en una cadena de caràcters de 17 caràcters, basant-se en la definició que es dòna a la [Viquipèdia][VIN]. No és obligatori.

Tasca 88: Identificar i prototipar els processos implicats en la matriculació
-----------------------------------------------------------------------------

Per una banda, és necessari que hi hagi un procediment que permeti afegir una nova matrícula. El seu prototip és:

    novaMatricula(Matrícula)

El procediment de venda haurà de patir modificacions, ja que, en cas de que es cridi sense matrícula, és a dir amb un valor nul per la matrícula, caldrà assignar-ne una que ja existeixi. Si no en queden sense assignar, generarà un error que adverteixi a l'usuari. En cas que es cridi amb una matricula, caldrà verificar si aquesta ja es troba a la taula de matrícules. Si hi és, però està assignada, es generarà un altre error. Si no hi és, la crearà, ja associada al _VIN_ del vehicle que es ven.
El procediment de compra també variarà una mica: Quan s'afegeixi un nou cotxe amb matrícula, el procediment l'haurà d'afegir associada al vehicle adquirit.

  [VIN]: http://en.wikipedia.org/wiki/Vehicle_Identification_Number#Components_of_the_VIN "Descripció del VIN a la Viquipèdia"
